Relograde API Docs
API SpecificationProduct

List products

Retrieves a list of available products with filtering and pagination options. When paymentCurrency is provided, prices are converted using our FX rates.

GET
/api/1.03/product

Authorization

bearerAuth
AuthorizationBearer <token>

Add your API key here

In: header

Query Parameters

slug?|

Filter by exact product slug

brandSlug?|

Filter by brand slug

category?|

Filter by brand category. Options are: giftcard / gamecard / payment-card

redeemType?|

Filter by redeem type. Options: region / service / currency

redeemValue?|

Filter by redeem value

currency?|

Filter by currency

paymentCurrency?|

Currency to convert the prices to

isVariableProduct?|

Filter by whether the product is variable or fixed

faceValue?|

Filter by face value

sortBy?|

Sort by field. Options: price / name / brand / faceValueAmount

Default"faceValueAmount"
sortOrder?|

Sort order. Options: asc / desc

Default"asc"
limit?|

Number of results per page

page?|

Page number

Response Body

application/json

curl -X GET "https://connect.relograde.com/api/1.03/product?sortOrder=asc"
{  "data": [    {      "slug": "amazon-gb-gbp-10",      "name": "Amazon.co.uk 10 GBP",      "faceValueAmount": 10,      "faceValueCurrency": "gbp",      "faceValueMin": 5,      "faceValueMax": 500,      "faceValueMinInPaymentCurrency": 5,      "faceValueMaxInPaymentCurrency": 503.2,      "isStocked": true,      "priceAmount": 10.19,      "priceCurrency": "gbp",      "priceAmountInPaymentCurrency": 11.68,      "paymentCurrency": "eur",      "priceInclVat": 12.33,      "priceInclVatInPaymentCurrency": 14.26,      "vatAmount": 2.14,      "vatAmountInPaymentCurrency": 2.45,      "feeVariable": 1.025,      "feeFixed": 0,      "feeCurrency": "eur",      "redeemValue": "eur",      "brandSlug": "amazon",      "category": "giftcard",      "redeemType": "service",      "brandName": "Amazon",      "isVariableProduct": false,      "vatCategory": "string",      "inScope": true    }  ],  "metadata": {    "page": 1,    "pageSize": 50,    "totalItems": 100,    "totalPages": 2  }}